Bug 1000555 - gdm does not start in gnome-shell/mutter 3.9.90.
gdm does not start in gnome-shell/mutter 3.9.90.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
20
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 12:24 EDT by sangu
Modified: 2013-09-04 23:05 EDT (History)
4 users (show)

See Also:
Fixed In Version: mutter-3.9.91-2.fc20.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 23:05:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 706598 None None None Never

  None (edit)
Description sangu 2013-08-23 12:24:57 EDT
Description of problem:
$ dmesg 
[...]
gnome-shell[4140]: segfault at 44 ip 00007fb77abfcb7a sp 00007fff77846e90 error 4 in libmutter.so.0.0.0[7fb77ab96000+da000]
[ 2868.933948] abrt-handle-eve[4209]: segfault at 0 ip 00007f874589f0a4 sp 00007ffff116bd60 error 4 in libsatyr.so.1.0.0[7f8745848000+139000]


Version-Release number of selected component (if applicable):
3.9.90-1.fc20

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
gdm-3.9.90-1.fc20.x86_64
Comment 1 sangu 2013-08-24 00:53:17 EDT
$ gdb gnome-shell coredump 

#0  meta_monitor_manager_xrandr_read_current (manager=0x19bc2a0)
    at core/monitor-xrandr.c:562
562		  RROutput clone = GPOINTER_TO_INT (meta_output->possible_clones[j]);

(gdb) bt
#0  meta_monitor_manager_xrandr_read_current (manager=0x19bc2a0)
    at core/monitor-xrandr.c:562
#1  0x00007ffc45eb8c87 in read_current_config (manager=0x19bc2a0)
    at core/monitor.c:379
#2  meta_monitor_manager_constructed (object=<optimized out>)
    at core/monitor.c:504
#3  0x00007ffc3d1a298a in g_object_new_internal (class=class@entry=0x2f12b20, 
    params=params@entry=0x0, n_params=n_params@entry=0) at gobject.c:1785
#4  0x00007ffc3d1a480d in g_object_newv (
    object_type=object_type@entry=48734960, 
    n_parameters=n_parameters@entry=0, parameters=parameters@entry=0x0)
    at gobject.c:1890
#5  0x00007ffc3d1a4fd4 in g_object_new (object_type=48734960, 
    first_property_name=first_property_name@entry=0x0) at gobject.c:1556
#6  0x00007ffc45eb9599 in meta_monitor_manager_new () at core/monitor.c:492
#7  meta_monitor_manager_initialize () at core/monitor.c:1411
#8  0x00007ffc45ec4b91 in meta_screen_new (display=0x2f12cb0, 
    number=<optimized out>, timestamp=timestamp@entry=18643)
    at core/screen.c:676
#9  0x00007ffc45ea7245 in meta_display_open () at core/display.c:909
#10 0x00007ffc45eb667e in meta_run () at core/main.c:553
---Type <return> to continue, or q <return> to quit---
#11 0x0000000000402001 in main ()

Note You need to log in before you can comment on or make changes to this bug.